Campaigns
Create creator trial link
Create a free subscription trial link for a creator using the supplied duration and redemption limits.
POST
/v1/agencies/{agencyId}/creators/{creatorId}/trial-linksCreate a free subscription trial link for a creator using the supplied duration and redemption limits.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthcreatorId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/agencies/string/creators/string/trial-links" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "trialLinkName": "string", "subscribeDays": 1, "subscribeCounts": 0, "expireDays": 0 }'{ "data": { "id": "string", "name": "string", "url": "string", "subscribeDays": 0, "subscribeCounts": 0, "claimCounts": 0, "clicksCounts": 0, "expiredAt": "string", "createdAt": "string", "isFinished": true }, "meta": { "requestId": "string", "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969", "status": "COMPLETED" }}